
QGIS Application - Bug report #13522

QGIS packaging problem (master)

2015-10-05 11:56 AM - Mikhail Tchernychev

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21566

Description

Hi,

Just after today's master update I noted QGIS disappeared from the Linux "Education" menu.

When I type "qgis" in the command line I got:

The program 'qgis' can be found in the following packages:

    -  qgis

    -  qgis-plugin-grass

Try: sudo apt-get install <selected package>

Even Synaptic shows qgis as installed.

If I type "qgis.bin" everything seem to work.

The version from Synaptic is:

1:2.11.0+git20151003+ed32f49+20trusty-ubuntugis(trusty)

Thank you

Mikhail

History

#1 - 2015-10-05 04:55 PM - dr -

Confirm here. But it fails when I try to run qgis.bin.

$ qgis.bin

src/app/main.cpp: 428: (main) [0ms] Starting qgis main

src/app/qgscustomization.cpp: 634: (QgsCustomization) [196ms] Entered

src/app/qgscustomization.cpp: 943: (loadDefault) [0ms] Status path = /Customization/status

src/app/qgscustomization.cpp: 944: (loadDefault) [0ms] status = 0

src/app/qgscustomization.cpp: 952: (loadDefault) [0ms] Default customization not found in /usr/share/qgis/resources/customization.ini

src/core/qgsfontutils.cpp: 277: (loadStandardTestFonts) [8ms] Test font 'QGIS Vera Sans Bold' loaded from testdata.qrc

src/core/qgsfontutils.cpp: 277: (loadStandardTestFonts) [7ms] Test font 'QGIS Vera Sans Roman' loaded from testdata.qrc

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Stacktrace (piped through c++filt):

qgis.bin[0x40575d]

qgis.bin[0x405943]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x21)[0x7f5c88aaebb1]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x70ff9)[0x7f5c88aaeff9]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qWarning(char const*, ...)+0x94)[0x7f5c88aaf244]

qgis.bin[0x4085a6]

/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7f5c874cdec5]

qgis.bin[0x405199]

src/core/qgsmessagelog.cpp: 45: (logMessage) [6ms] 2015-10-06T05:52:28 Qt[1] loading of qgis translation failed

[/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Stacktrace (piped through c++filt):

qgis.bin[0x40575d]

qgis.bin[0x405943]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x21)[0x7f5c88aaebb1]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x70ff9)[0x7f5c88aaeff9]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qWarning(char const*, ...)+0x94)[0x7f5c88aaf244]

qgis.bin[0x4087ed]

/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7f5c874cdec5]

qgis.bin[0x405199]

src/core/qgsmessagelog.cpp: 45: (logMessage) [3ms] 2015-10-06T05:52:28 Qt[1] loading of qt translation failed

[/usr/share/qt4/translations/qt_en_US]

src/core/qgsapplication.cpp: 1204: (setMaxThreads) [24ms] maxThreads: -1

src/core/qgsapplication.cpp: 1220: (setMaxThreads) [0ms] set QThreadPool max thread count to 4

src/core/qgsnetworkaccessmanager.cpp: 154: (setFallbackProxyAndExcludes) [1ms] proxy settings: (type:DefaultProxy host: :0, user:,

password:not set

src/core/qgsnetworkaccessmanager.cpp: 366: (setupDefaultProxyAndCache) [0ms] setCacheDirectory: /home/rykov/.qgis2/cache/

src/core/qgsnetworkaccessmanager.cpp: 367: (setupDefaultProxyAndCache) [0ms] setMaximumCacheSize: 52428800

src/core/qgsnetworkaccessmanager.cpp: 370: (setupDefaultProxyAndCache) [0ms] cacheDirectory: /home/rykov/.qgis2/cache/

src/core/qgsnetworkaccessmanager.cpp: 371: (setupDefaultProxyAndCache) [0ms] maximumCacheSize: 52428800

src/core/auth/qgsauthmanager.cpp: 105: (init) [397ms] Initializing QCA...

src/core/auth/qgsauthmanager.cpp: 108: (init) [1ms] QCA initialized.

src/core/auth/qgsauthmanager.cpp: 111: (init) [1ms] QCA Plugin Diagnostics Context: Checking Qt static plugins:

  (none)

Checking Qt Library Path: /usr/lib/qgis/plugins

  (No 'crypto' subdirectory)

Checking Qt Library Path: /usr/lib/x86_64-linux-gnu/qt4/plugins

  libqca-ossl.so: (class: opensslPlugin) loaded as qca-ossl

Checking Qt Library Path: /usr/bin

  (No 'crypto' subdirectory)

src/core/auth/qgsauthmanager.cpp: 115: (init) [0ms] QCA supports:

random,md5,sha1,keystorelist,sha0,ripemd160,md4,sha224,sha256,sha384,sha512,hmac(md5),hmac(sha1),hmac(sha224),hmac(sha256),hmac(sha384),hmac(sha512),hmac(ripemd160),aes128-ecb,aes128-cfb,aes128-cbc,aes128-cbc-pkcs7,aes128-ofb,aes192-ecb,aes192-cfb,aes192-cbc,aes192-cbc-pkcs7,aes192-ofb,aes256-ecb,aes256-cbc,aes256-cbc-pkcs7,aes256-cfb,aes256-ofb,blowfish-ecb,blowfish-cbc-pkcs7,blowfish-cbc,blowfish-cfb,blowfish-ofb,tripledes-ecb,tripledes-cbc,des-ecb,des-ecb-pkcs7,des-cbc,des-cbc-pkcs7,des-cfb,des-ofb,cast5-ecb,cast5-cbc,cast5-cbc-pkcs7,cast5-cfb,cast5-ofb,pbkdf1(sha1),pbkdf2(sha1),pkey,dlgroup,rsa,dsa,dh,cert,csr,crl,certcollection,pkcs12,tls,cms,ca
src/core/auth/qgsauthmanager.cpp: 125: (init) [1ms] Prioritizing qca-ossl over all other QCA providers...
src/core/auth/qgsauthmanager.cpp: 139: (init) [1ms] QCA provider priorities: qca-ossl:0
src/core/auth/qgsauthmanager.cpp: 141: (init) [0ms] Populating auth method registry
src/core/auth/qgsauthmethodregistry.cpp: 66: (QgsAuthMethodRegistry) [0ms] Checking for auth method plugins in: /usr/lib/qgis/plugins
src/core/auth/qgsauthmanager.cpp: 146: (init) [3ms] Authentication methods found: Basic, Identity-Cert, PKI-PKCS#12, PKI-Paths
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libbasicauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [0ms] Instantiated the auth method plugin: Basic
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libidentcertauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [0ms] Instantiated the auth method plugin: Identity-Cert
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libpkcs12authmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [1ms] Instantiated the auth method plugin: PKI-PKCS#12
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libpkipathsauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [0ms] Instantiated the auth method plugin: PKI-Paths
src/core/auth/qgsauthmanager.cpp: 163: (init) [0ms] Auth database path: /home/rykov/.qgis2/qgis-auth.db
src/core/auth/qgsauthmanager.cpp: 167: (init) [0ms] Auth db directory path: /home/rykov/.qgis2
src/core/auth/qgsauthmanager.cpp: 192: (init) [0ms] Auth db exists and has data
src/core/auth/qgsauthmanager.cpp: 279: (createCertTables) [0ms] Creating cert tables in auth db
src/core/auth/qgsauthmanager.cpp: 833: (updateConfigAuthMethods) [0ms] Synching existing auth config and their auth methods
src/core/auth/qgsauthmanager.cpp: 2381: (rebuildCaCertsCache) [2ms] Rebuild of CA certs cache FAILED
src/core/auth/qgsauthmanager.cpp: 1533: (initSslCaches) [0ms] Init of SSL caches FAILED
src/app/qgisappstylesheet.cpp: 200: (setActiveValues) [3ms] Style name: gtk+
src/app/qgisappstylesheet.cpp: 67: (defaultOptions) [0ms] fontPointSize: 11
src/app/qgisappstylesheet.cpp: 87: (defaultOptions) [0ms] fontFamily: Ubuntu
src/app/qgisappstylesheet.cpp: 106: (buildStyleSheet) [0ms] fontPointSize: 11
src/app/qgisappstylesheet.cpp: 110: (buildStyleSheet) [0ms] fontFamily: Ubuntu
src/app/qgisappstylesheet.cpp: 117: (buildStyleSheet) [0ms] groupBoxCustom: 0
src/app/qgisappstylesheet.cpp: 178: (buildStyleSheet) [0ms] Stylesheet built: * { font: 11pt "Ubuntu"} QGroupBox{color: rgb(60,60,60);font-weight: 

c(sha384),hmac(sha512),hmac(ripemd160),aes128-ecb,aes128-cfb,aes128-cbc,aes128-cbc-pkcs7,aes128-ofb,aes192-ecb,aes192-cfb,aes192-cbc,aes192-cbc-pkcs7,aes192-ofb,aes256-ecb,aes256-cbc,aes256-cbc-pkcs7,aes256-cfb,aes256-ofb,blowfish-ecb,blowfish-cbc-pkcs7,blowfish-cbc,blowfish-cfb,blowfish-ofb,tripledes-ecb,tripledes-cbc,des-ecb,des-ecb-pkcs7,des-cbc,des-cbc-pkcs7,des-cfb,des-ofb,cast5-ecb,cast5-cbc,cast5-cbc-pkcs7,cast5-cfb,cast5-ofb,pbkdf1(sha1),pbkdf2(sha1),pkey,dlgroup,rsa,dsa,dh,cert,csr,crl,certcollection,pkcs12,tls,cms,ca
src/core/auth/qgsauthmanager.cpp: 125: (init) [1ms] Prioritizing qca-ossl over all other QCA providers...
src/core/auth/qgsauthmanager.cpp: 139: (init) [1ms] QCA provider priorities: qca-ossl:0
src/core/auth/qgsauthmanager.cpp: 141: (init) [0ms] Populating auth method registry
src/core/auth/qgsauthmethodregistry.cpp: 66: (QgsAuthMethodRegistry) [0ms] Checking for auth method plugins in: /usr/lib/qgis/plugins
src/core/auth/qgsauthmanager.cpp: 146: (init) [3ms] Authentication methods found: Basic, Identity-Cert, PKI-PKCS#12, PKI-Paths
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libbasicauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [0ms] Instantiated the auth method plugin: Basic
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libidentcertauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [0ms] Instantiated the auth method plugin: Identity-Cert
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libpkcs12authmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [1ms] Instantiated the auth method plugin: PKI-PKCS#12
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libpkipathsauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [0ms] Instantiated the auth method plugin: PKI-Paths
src/core/auth/qgsauthmanager.cpp: 163: (init) [0ms] Auth database path: /home/rykov/.qgis2/qgis-auth.db
src/core/auth/qgsauthmanager.cpp: 167: (init) [0ms] Auth db directory path: /home/rykov/.qgis2
src/core/auth/qgsauthmanager.cpp: 192: (init) [0ms] Auth db exists and has data
src/core/auth/qgsauthmanager.cpp: 279: (createCertTables) [0ms] Creating cert tables in auth db
src/core/auth/qgsauthmanager.cpp: 833: (updateConfigAuthMethods) [0ms] Synching existing auth config and their auth methods
src/core/auth/qgsauthmanager.cpp: 2381: (rebuildCaCertsCache) [2ms] Rebuild of CA certs cache FAILED
src/core/auth/qgsauthmanager.cpp: 1533: (initSslCaches) [0ms] Init of SSL caches FAILED
src/app/qgisappstylesheet.cpp: 200: (setActiveValues) [3ms] Style name: gtk+
src/app/qgisappstylesheet.cpp: 67: (defaultOptions) [0ms] fontPointSize: 11
src/app/qgisappstylesheet.cpp: 87: (defaultOptions) [0ms] fontFamily: Ubuntu
src/app/qgisappstylesheet.cpp: 106: (buildStyleSheet) [0ms] fontPointSize: 11
src/app/qgisappstylesheet.cpp: 110: (buildStyleSheet) [0ms] fontFamily: Ubuntu
src/app/qgisappstylesheet.cpp: 117: (buildStyleSheet) [0ms] groupBoxCustom: 0
src/app/qgisappstylesheet.cpp: 178: (buildStyleSheet) [0ms] Stylesheet built: * { font: 11pt "Ubuntu"} QGroupBox{color: rgb(60,60,60);font-weight: bold;} QListWidget#mOptionsListWidget {    background-color: rgb(69, 69, 69, 220);    outline: 0;}QListWidget#mOptionsListWidget::item {    color: white;    padding: 3px;}QListWidget#mOptionsListWidget::item::selected {    color: black;    background-col

-cbc,aes192-cbc-pkcs7,aes192-ofb,aes256-ecb,aes256-cbc,aes256-cbc-pkcs7,aes256-cfb,aes256-ofb,blowfish-ecb,blowfish-cbc-pkcs7,blowfish-cbc,blowfish-cfb,blowfish-ofb,tripledes-ecb,tripledes-cbc,des-ecb,des-ecb-pkcs7,des-cbc,des-cbc-pkcs7,des-cfb,des-ofb,cast5-ecb,cast5-cbc,cast5-cbc-pkcs7,cast5-cfb,cast5-ofb,pbkdf1(sha1),pbkdf2(sha1),pkey,dlgroup,rsa,dsa,dh,cert,csr,crl,certcollection,pkcs12,tls,cms,ca
src/core/auth/qgsauthmanager.cpp: 125: (init) [1ms] Prioritizing qca-ossl over all other QCA providers...
src/core/auth/qgsauthmanager.cpp: 139: (init) [1ms] QCA provider priorities: qca-ossl:0
src/core/auth/qgsauthmanager.cpp: 141: (init) [0ms] Populating auth method registry
src/core/auth/qgsauthmethodregistry.cpp: 66: (QgsAuthMethodRegistry) [0ms] Checking for auth method plugins in: /usr/lib/qgis/plugins
src/core/auth/qgsauthmanager.cpp: 146: (init) [3ms] Authentication methods found: Basic, Identity-Cert, PKI-PKCS#12, PKI-Paths
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libbasicauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [0ms] Instantiated the auth method plugin: Basic
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libidentcertauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [0ms] Instantiated the auth method plugin: Identity-Cert
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libpkcs12authmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [1ms] Instantiated the auth method plugin: PKI-PKCS#12
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libpkipathsauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [0ms] Instantiated the auth method plugin: PKI-Paths
src/core/auth/qgsauthmanager.cpp: 163: (init) [0ms] Auth database path: /home/rykov/.qgis2/qgis-auth.db
src/core/auth/qgsauthmanager.cpp: 167: (init) [0ms] Auth db directory path: /home/rykov/.qgis2
src/core/auth/qgsauthmanager.cpp: 192: (init) [0ms] Auth db exists and has data
src/core/auth/qgsauthmanager.cpp: 279: (createCertTables) [0ms] Creating cert tables in auth db
src/core/auth/qgsauthmanager.cpp: 833: (updateConfigAuthMethods) [0ms] Synching existing auth config and their auth methods
src/core/auth/qgsauthmanager.cpp: 2381: (rebuildCaCertsCache) [2ms] Rebuild of CA certs cache FAILED
src/core/auth/qgsauthmanager.cpp: 1533: (initSslCaches) [0ms] Init of SSL caches FAILED
src/app/qgisappstylesheet.cpp: 200: (setActiveValues) [3ms] Style name: gtk+
src/app/qgisappstylesheet.cpp: 67: (defaultOptions) [0ms] fontPointSize: 11
src/app/qgisappstylesheet.cpp: 87: (defaultOptions) [0ms] fontFamily: Ubuntu
src/app/qgisappstylesheet.cpp: 106: (buildStyleSheet) [0ms] fontPointSize: 11
src/app/qgisappstylesheet.cpp: 110: (buildStyleSheet) [0ms] fontFamily: Ubuntu
src/app/qgisappstylesheet.cpp: 117: (buildStyleSheet) [0ms] groupBoxCustom: 0
src/app/qgisappstylesheet.cpp: 178: (buildStyleSheet) [0ms] Stylesheet built: * { font: 11pt "Ubuntu"} QGroupBox{color: rgb(60,60,60);font-weight: bold;} QListWidget#mOptionsListWidget {    background-color: rgb(69, 69, 69, 220);    outline: 0;}QListWidget#mOptionsListWidget::item {    color: white;    padding: 3px;}QListWidget#mOptionsListWidget::item::selected {    color: black;    background-color:palette(Window);    padding-right: 0px;}QTableView {selection-background-color: #f07746;selection-color: #ffffff;}
src/core/qgsscalecalculator.cpp: 42: (setMapUnits) [6ms] Map units set to 2
src/core/qgsscalecalculator.cpp: 42: (setMapUnits) [4ms] Map units 

h-cbc,blowfish-cfb,blowfish-ofb,tripledes-ecb,tripledes-cbc,des-ecb,des-ecb-pkcs7,des-cbc,des-cbc-pkcs7,des-cfb,des-ofb,cast5-ecb,cast5-cbc,cast5-cbc-pkcs7,cast5-cfb,cast5-ofb,pbkdf1(sha1),pbkdf2(sha1),pkey,dlgroup,rsa,dsa,dh,cert,csr,crl,certcollection,pkcs12,tls,cms,ca
src/core/auth/qgsauthmanager.cpp: 125: (init) [1ms] Prioritizing qca-ossl over all other QCA providers...
src/core/auth/qgsauthmanager.cpp: 139: (init) [1ms] QCA provider priorities: qca-ossl:0
src/core/auth/qgsauthmanager.cpp: 141: (init) [0ms] Populating auth method registry
src/core/auth/qgsauthmethodregistry.cpp: 66: (QgsAuthMethodRegistry) [0ms] Checking for auth method plugins in: /usr/lib/qgis/plugins
src/core/auth/qgsauthmanager.cpp: 146: (init) [3ms] Authentication methods found: Basic, Identity-Cert, PKI-PKCS#12, PKI-Paths
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libbasicauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [0ms] Instantiated the auth method plugin: Basic
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libidentcertauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [0ms] Instantiated the auth method plugin: Identity-Cert
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libpkcs12authmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [1ms] Instantiated the auth method plugin: PKI-PKCS#12
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libpkipathsauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [0ms] Instantiated the auth method plugin: PKI-Paths
src/core/auth/qgsauthmanager.cpp: 163: (init) [0ms] Auth database path: /home/rykov/.qgis2/qgis-auth.db
src/core/auth/qgsauthmanager.cpp: 167: (init) [0ms] Auth db directory path: /home/rykov/.qgis2
src/core/auth/qgsauthmanager.cpp: 192: (init) [0ms] Auth db exists and has data
src/core/auth/qgsauthmanager.cpp: 279: (createCertTables) [0ms] Creating cert tables in auth db
src/core/auth/qgsauthmanager.cpp: 833: (updateConfigAuthMethods) [0ms] Synching existing auth config and their auth methods
src/core/auth/qgsauthmanager.cpp: 2381: (rebuildCaCertsCache) [2ms] Rebuild of CA certs cache FAILED
src/core/auth/qgsauthmanager.cpp: 1533: (initSslCaches) [0ms] Init of SSL caches FAILED
src/app/qgisappstylesheet.cpp: 200: (setActiveValues) [3ms] Style name: gtk+
src/app/qgisappstylesheet.cpp: 67: (defaultOptions) [0ms] fontPointSize: 11
src/app/qgisappstylesheet.cpp: 87: (defaultOptions) [0ms] fontFamily: Ubuntu
src/app/qgisappstylesheet.cpp: 106: (buildStyleSheet) [0ms] fontPointSize: 11
src/app/qgisappstylesheet.cpp: 110: (buildStyleSheet) [0ms] fontFamily: Ubuntu
src/app/qgisappstylesheet.cpp: 117: (buildStyleSheet) [0ms] groupBoxCustom: 0
src/app/qgisappstylesheet.cpp: 178: (buildStyleSheet) [0ms] Stylesheet built: * { font: 11pt "Ubuntu"} QGroupBox{color: rgb(60,60,60);font-weight: bold;} QListWidget#mOptionsListWidget {    background-color: rgb(69, 69, 69, 220);    outline: 0;}QListWidget#mOptionsListWidget::item {    color: white;    padding: 3px;}QListWidget#mOptionsListWidget::item::selected {    color: black;    background-color:palette(Window);    padding-right: 0px;}QTableView {selection-background-color: #f07746;selection-color: #ffffff;}
src/core/qgsscalecalculator.cpp: 42: (setMapUnits) [6ms] Map units set to 2
src/core/qgsscalecalculator.cpp: 42: (setMapUnits) [4ms] Map units set to 2
src/core/qgsscalecalculator.cpp: 42: (setMapUnits) [5ms] Map units set to 2
src/core/qgsscalecalculator.cpp: 131: (calculateGeographicDistance) [0ms] Distance across map extent (m): 0
src/core/qgsscalecalculator.cpp: 84: (calculate) [0ms] Can't calculate scale fro

cast5-cbc-pkcs7,cast5-cfb,cast5-ofb,pbkdf1(sha1),pbkdf2(sha1),pkey,dlgroup,rsa,dsa,dh,cert,csr,crl,certcollection,pkcs12,tls,cms,ca

src/core/auth/qgsauthmanager.cpp: 125: (init) [1ms] Prioritizing qca-ossl over all other QCA providers...

src/core/auth/qgsauthmanager.cpp: 139: (init) [1ms] QCA provider priorities: qca-ossl:0

src/core/auth/qgsauthmanager.cpp: 141: (init) [0ms] Populating auth method registry

src/core/auth/qgsauthmethodregistry.cpp: 66: (QgsAuthMethodRegistry) [0ms] Checking for auth method plugins in: /usr/lib/qgis/plugins

src/core/auth/qgsauthmanager.cpp: 146: (init) [3ms] Authentication methods found: Basic, Identity-Cert, PKI-PKCS#12, PKI-Paths

src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libbasicauthmethod.so

src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [0ms] Instantiated the auth method plugin: Basic

src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libidentcertauthmethod.so

src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [0ms] Instantiated the auth method plugin: Identity-Cert
src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libpkcs12authmethod.so

src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [1ms] Instantiated the auth method plugin: PKI-PKCS#12

src/core/auth/qgsauthmethodregistry.cpp: 288: (authMethod) [0ms] Auth method library name is /usr/lib/qgis/plugins/libpkipathsauthmethod.so

src/core/auth/qgsauthmethodregistry.cpp: 310: (authMethod) [0ms] Instantiated the auth method plugin: PKI-Paths

src/core/auth/qgsauthmanager.cpp: 163: (init) [0ms] Auth database path: /home/rykov/.qgis2/qgis-auth.db

src/core/auth/qgsauthmanager.cpp: 167: (init) [0ms] Auth db directory path: /home/rykov/.qgis2

src/core/auth/qgsauthmanager.cpp: 192: (init) [0ms] Auth db exists and has data

src/core/auth/qgsauthmanager.cpp: 279: (createCertTables) [0ms] Creating cert tables in auth db

src/core/auth/qgsauthmanager.cpp: 833: (updateConfigAuthMethods) [0ms] Synching existing auth config and their auth methods

src/core/auth/qgsauthmanager.cpp: 2381: (rebuildCaCertsCache) [2ms] Rebuild of CA certs cache FAILED

src/core/auth/qgsauthmanager.cpp: 1533: (initSslCaches) [0ms] Init of SSL caches FAILED

src/app/qgisappstylesheet.cpp: 200: (setActiveValues) [3ms] Style name: gtk+

src/app/qgisappstylesheet.cpp: 67: (defaultOptions) [0ms] fontPointSize: 11

src/app/qgisappstylesheet.cpp: 87: (defaultOptions) [0ms] fontFamily: Ubuntu

src/app/qgisappstylesheet.cpp: 106: (buildStyleSheet) [0ms] fontPointSize: 11

src/app/qgisappstylesheet.cpp: 110: (buildStyleSheet) [0ms] fontFamily: Ubuntu

src/app/qgisappstylesheet.cpp: 117: (buildStyleSheet) [0ms] groupBoxCustom: 0

src/app/qgisappstylesheet.cpp: 178: (buildStyleSheet) [0ms] Stylesheet built: * { font: 11pt "Ubuntu"} QGroupBox{color: rgb(60,60,60);font-weight:

bold;} QListWidget#mOptionsListWidget {    background-color: rgb(69, 69, 69, 220);    outline: 0;}QListWidget#mOptionsListWidget::item {    color:

white;    padding: 3px;}QListWidget#mOptionsListWidget::item::selected {    color: black;    background-color:palette(Window);    padding-right:

0px;}QTableView {selection-background-color: #f07746;selection-color: #ffffff;}

src/core/qgsscalecalculator.cpp: 42: (setMapUnits) [6ms] Map units set to 2

src/core/qgsscalecalculator.cpp: 42: (setMapUnits) [4ms] Map units set to 2

src/core/qgsscalecalculator.cpp: 42: (setMapUnits) [5ms] Map units set to 2

src/core/qgsscalecalculator.cpp: 131: (calculateGeographicDistance) [0ms] Distance across map extent (m): 0

src/core/qgsscalecalculator.cpp: 84: (calculate) [0ms] Can't calculate scale from the input values

src/core/qgsmaprenderer.cpp: 208: (adjustExtentToSize) [0ms] Map units per pixel (x,y) : 0, 0

src/core/qgsmaprenderer.cpp: 209: (adjustExtentToSize) [1ms] Pixmap dimensions (x,y) : 98, 28

src/core/qgsmaprenderer.cpp: 210: (adjustExtentToSize) [0ms] Extent dimensions (x,y) : 0, 0

src/core/qgsmaprenderer.cpp: 211: (adjustExtentToSize) [0ms] Empty

src/core/qgsmaprenderer.cpp: 219: (adjustExtentToSize) [0ms] Adjusted map units per pixel (x,y) : 0, 0

src/core/qgsmaprenderer.cpp: 221: (adjustExtentToSize) [0ms] Recalced pixmap dimensions (x,y) : nan, nan

src/core/qgsscalecalculator.cpp: 131: (calculateGeographicDistance) [0ms] Distance across map extent (m): 0

src/core/qgsscalecalculator.cpp: 88: (calculate) [0ms] scale = 0 conversionFactor = 39.3701

src/core/qgsmaprenderer.cpp: 226: (adjustExtentToSize) [0ms] Scale (assuming meters as map units) = 1:0

src/gui/qgsmapcanvas.cpp: 626: (refresh) [0ms] CANVAS refresh - invalid settings -> nothing to do

qgis.bin: symbol lookup error: /usr/lib/libqgis_app.so: undefined symbol: _ZN14QgsApplication16whatsNewFilePathEv

#2 - 2015-10-06 12:10 AM - Jürgen Fischer

- Status changed from Open to Feedback

The latest available version currently is 1:2.11.0+git20151005+890dce8+20trusty-ubuntugis.  Were there problem with the upgrade?

#3 - 2015-10-06 02:59 AM - dr -

Try to reinstall but no effect.

$ sudo apt-get install --reinstall qgis

Reading package lists... Done
Building dependency tree       

Reading state information... Done

0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.

Need to get 0 B/12.4 MB of archives.

After this operation, 0 B of additional disk space will be used.

(Reading database ... 586311 files and directories currently installed.)

Preparing to unpack .../qgis_1%3a2.11.0+git20151005+890dce8+20trusty-ubuntugis_amd64.deb ...

Unpacking qgis (1:2.11.0+git20151005+890dce8+20trusty-ubuntugis) over (1:2.11.0+git20151005+890dce8+20trusty-ubuntugis) ...

Processing triggers for mime-support (3.54ubuntu1.1) ...

Processing triggers for man-db (2.6.7.1-1ubuntu1) ...

Processing triggers for shared-mime-info (1.2-0ubuntu3) ...

Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...

Rebuilding /usr/share/applications/bamf-2.index...

Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...

Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...

Processing triggers for hicolor-icon-theme (0.13-1) ...

Setting up qgis (1:2.11.0+git20151005+890dce8+20trusty-ubuntugis) ...

$ qgis

The program 'qgis' can be found in the following packages:

 * qgis

 * qgis-plugin-grass

Try: sudo apt-get install <selected package>

But qgis.bin works now.

#4 - 2015-10-06 06:47 AM - Jürgen Fischer

dr - wrote:

Try to reinstall but no effect.

[...]

But qgis.bin works now.

qgis-plugin-grass has a diversion that makes the actual binary /usr/bin/qgis.bin instead of /usr/bin/qgis.  Reinstalling or updating qgis just replaces qgis.bin

with a newer binary.   The problem is that qgis-plugin-grass's replacement for /usr/bin/qgis is apparently gone.   Is qgis-plugin-grass installed and

uptodate?

libqgis_app was also moved from qgis to a separate package libqgis-app2.11.0 - so that was apparently not uptodate either (although qgis depends on it; 

QgsApplication::whatsNewFilePath was removed in commit:7408151).

#5 - 2015-10-06 08:35 AM - dr -

Thanks! After installing qgis-plugin-grass all works fine.

#6 - 2015-10-06 09:44 AM - Jürgen Fischer
- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

#7 - 2015-10-06 10:16 AM - Mikhail Tchernychev

Well, it's not quite fixed - still there is no QGIS menu item in the "Education" group, 

only QGIS browser and GRASS. Yes indeed "qgis" now works from command line.

Also strange that user  needs to install qgis-plugin-grass to make main program

to work. I think it needs to be properly fixed.

BTW, "GRASS GIS 7" menu item which appeared in the menu just flashes some command

window briefly.  It is not working.

Thank you

Mikhail

#8 - 2015-10-06 03:47 PM - Jürgen Fischer

Mikhail Tchernychev wrote:

Well, it's not quite fixed - still there is no QGIS menu item in the "Education" group, only QGIS browser and GRASS. Yes indeed "qgis" now works

from command line. Also strange that user  needs to install qgis-plugin-grass to make main program to work. I think it needs to be properly fixed.

It's not really clear how all this happened.

You shouldn't have the diversion if you didn't install qgis-plugin-grass.

But the qgis-provider-grass package was providing that diversion, while the grass plugin didn't support GRASS 7 and only the grass provider worked with

GRASS 7.

Later it was moved back to qgis-plugin-grass when GRASS 7 support was introduced to the plugin, but the takeover of the diversion initially didn't work

(see also #13310).

But this might also have be introduced with the GRASS 6->7 transition in the ubuntugis repository already.  Maybe the diversion was still there from

qgis-plugin-grass that was still based on GRASS 6.

So it's not clear which transition introduced the problem on your system and moreover it's probably won't even apply to normal upgrades from 2.10 to 2.12.

And the "easy" way out is probably as easy to purge all qgis packages and reinstall them.

BTW, "GRASS GIS 7" menu item which appeared in the menu just flashes some command window briefly.  It is not working.

That's not a QGIS problem - the qgis-plugin-grass depends on GRASS and therefore it's pulled in - but the item is created by the grass package

independantly from the qgis package.

#9 - 2015-10-06 04:31 PM - Mikhail Tchernychev

After I re-installed QGIS main package menu re-appeared. Seem all back to normal.
Regarding grass, yes it turns out main "grass" package simply was not installed,

after I installed grass menu works.

Thank you very much for looking into this,

Best Regards

Mikhail
